com.corticon.rulesemf.canonicalvocabularymodel.metadata.database

## Interface PrimaryKeyMetadata

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface PrimaryKeyMetadata
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Primary Key Metadata'.

  The following features are supported:

  - `Primary Key Name`
  - `Primary Key Catalog Name`
  - `Primary Key Schema Name`
  - `Primary Key Table Name`
  - `Primary Key Column Metadata List`
  See Also:
    `DatabasePackage.getPrimaryKeyMetadata()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPrimaryKeyCatalogName()` Returns the value of the 'Primary Key Catalog Name' attribute
    `org.eclipse.emf.common.util.EList` | `getPrimaryKeyColumnMetadataList()` Returns the value of the 'Primary Key Column Metadata List' containment reference list.
    `java.lang.String` | `getPrimaryKeyName()` Returns the value of the 'Primary Key Name' attribute
    `java.lang.String` | `getPrimaryKeySchemaName()` Returns the value of the 'Primary Key Schema Name' attribute
    `java.lang.String` | `getPrimaryKeyTableName()` Returns the value of the 'Primary Key Table Name' attribute
    `void` | `setPrimaryKeyCatalogName(java.lang.String value)` Sets the value of the '`Primary Key Catalog Name`' attribute
    `void` | `setPrimaryKeyName(java.lang.String value)` Sets the value of the '`Primary Key Name`' attribute
    `void` | `setPrimaryKeySchemaName(java.lang.String value)` Sets the value of the '`Primary Key Schema Name`' attribute
    `void` | `setPrimaryKeyTableName(java.lang.String value)` Sets the value of the '`Primary Key Table Name`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getPrimaryKeyName

          java.lang.String getPrimaryKeyName()

      Returns the value of the 'Primary Key Name' attribute.

      If the meaning of the 'Primary Key Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Primary Key Name' attribute.
      See Also:
        `setPrimaryKeyName(String)`, `DatabasePackage.getPrimaryKeyMetadata_PrimaryKeyName()`

    - #### setPrimaryKeyName

          void setPrimaryKeyName(java.lang.String value)

      Sets the value of the '`Primary Key Name`' attribute.
      Parameters:
        `value` - the new value of the 'Primary Key Name' attribute.
      See Also:
        `getPrimaryKeyName()`

    - #### getPrimaryKeyCatalogName

          java.lang.String getPrimaryKeyCatalogName()

      Returns the value of the 'Primary Key Catalog Name' attribute.

      If the meaning of the 'Primary Key Catalog Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Primary Key Catalog Name' attribute.
      See Also:
        `setPrimaryKeyCatalogName(String)`, `DatabasePackage.getPrimaryKeyMetadata_PrimaryKeyCatalogName()`

    - #### setPrimaryKeyCatalogName

          void setPrimaryKeyCatalogName(java.lang.String value)

      Sets the value of the '`Primary Key Catalog Name`' attribute.
      Parameters:
        `value` - the new value of the 'Primary Key Catalog Name' attribute.
      See Also:
        `getPrimaryKeyCatalogName()`

    - #### getPrimaryKeySchemaName

          java.lang.String getPrimaryKeySchemaName()

      Returns the value of the 'Primary Key Schema Name' attribute.

      If the meaning of the 'Primary Key Schema Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Primary Key Schema Name' attribute.
      See Also:
        `setPrimaryKeySchemaName(String)`, `DatabasePackage.getPrimaryKeyMetadata_PrimaryKeySchemaName()`

    - #### setPrimaryKeySchemaName

          void setPrimaryKeySchemaName(java.lang.String value)

      Sets the value of the '`Primary Key Schema Name`' attribute.
      Parameters:
        `value` - the new value of the 'Primary Key Schema Name' attribute.
      See Also:
        `getPrimaryKeySchemaName()`

    - #### getPrimaryKeyTableName

          java.lang.String getPrimaryKeyTableName()

      Returns the value of the 'Primary Key Table Name' attribute.

      If the meaning of the 'Primary Key Table Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Primary Key Table Name' attribute.
      See Also:
        `setPrimaryKeyTableName(String)`, `DatabasePackage.getPrimaryKeyMetadata_PrimaryKeyTableName()`

    - #### setPrimaryKeyTableName

          void setPrimaryKeyTableName(java.lang.String value)

      Sets the value of the '`Primary Key Table Name`' attribute.
      Parameters:
        `value` - the new value of the 'Primary Key Table Name' attribute.
      See Also:
        `getPrimaryKeyTableName()`

    - #### getPrimaryKeyColumnMetadataList

          org.eclipse.emf.common.util.EList getPrimaryKeyColumnMetadataList()

      Returns the value of the 'Primary Key Column Metadata List' containment reference list. The list contents are of type `PrimaryKeyColumnMetadata`.

      If the meaning of the 'Primary Key Column Metadata List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Primary Key Column Metadata List' containment reference list.
      See Also:
        `DatabasePackage.getPrimaryKeyMetadata_PrimaryKeyColumnMetadataList()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.